\documentclass{standalone}

\newcounter{mem_offset}
\setcounter{mem_offset}{-1}
\newcommand\rownumber{\stepcounter{mem_offset}\arabic{mem_offset}}


\usepackage{array}


\begin{document}
\setlength{\tabcolsep}{1.45pt}
% This sets 32 centered fields
\begin{tabular}{|c||*{32}{c|}}  
  \hline
% bit fields
%  addr&31&30&29&28&27&26&25&24&23&22&21&20&19&18&17&16&15&14&13&12&11&10&9& 8& 7& 6& 5& 4& 3& 2& 1& 0\\ \hline
  addr&31&30&29&28&27&26&25&24&23&22&21&20&19&18&17&16&15&14&13&12&11&10& \phantom{2}9&\phantom{2}8&\phantom{2}7&\phantom{2}6&\phantom{2}5&\phantom{2}4&\phantom{2}3&\phantom{2}2&\phantom{2}1&\phantom{2}0\\ \hline
% \multicolum{count of spanning fields}{centering}{value}
  \rownumber & \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x3C = K28.1} \\ \hline

  \rownumber &   \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x67 = 'g'} \\ \hline
  \rownumber &   \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x2D = '-'} \\ \hline
  \rownumber &   \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x32 = '2'} \\ \hline
  \rownumber &   \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x54 = 'T'} \\ \hline
  \rownumber &   \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x44 = 'D'} \\ \hline
  \rownumber &   \multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x43 = 'C'} \\ \hline

  \rownumber &   \multicolumn{32}{|c|}{Version date: 0x201YMMDD} \\ \hline

  \rownumber &   \multicolumn{16}{|c|}{ size} & \multicolumn{16}{|c|}{ Channel Mask} \\ \hline  
  \rownumber &   \multicolumn{8}{|c|}{0} &  \multicolumn{24}{|c|}{Spill \# [23..0]}    \\ \hline  
  \rownumber &   \multicolumn{32}{|c|}{Time MSB [43..12]}  \\ \hline  
  \rownumber &   \multicolumn{20}{|c|}{0} & \multicolumn{12}{|c|}{Time LSB [11..0]}  \\ \hline  
  \rownumber &   \multicolumn{16}{|c|}{Start time (160ns LSB)} & \multicolumn{16}{|c|}{End time (160ns LSB)} \\ \hline  
  \rownumber &   \multicolumn{16}{|c|}{SelB time (160ns LSB)} & \multicolumn{16}{|c|}{Readout time (160ns LSB)} \\ \hline  
  \rownumber &   \multicolumn{28}{|c|}{0}&\multicolumn{2}{|c|}{SW-addr}&\multicolumn{2}{|c|}{HW-addr}\\ \hline  
  \rownumber &   \multicolumn{32}{|c|}{1-scalars; 0-both edges;others: 0} \\ \hline  

  \rownumber &   \multicolumn{32}{|c|}{Scalar Count 15} \\ \hline
  \rownumber &   \multicolumn{32}{|c|}{Scalar Count 14} \\ \hline
  \rownumber &   \multicolumn{32}{|c|}{\vdots} \\ \hline
  \rownumber &   \multicolumn{32}{|c|}{Scalar Count 1} \\ \hline
  \rownumber &   \multicolumn{32}{|c|}{Scalar Count 0} \\ \hline

  \rownumber &   0 & 0 & 1 & \tiny edge & \multicolumn{4}{|c|}{Ch: 0-15} & \multicolumn{21}{|c|}{Coarse time: LSB 5ns, range 0 - 10.485775 ms} & \multicolumn{3}{|c|}{Fine} \\ \hline
   - &   \multicolumn{32}{|c|}{\vdots} \\ \hline
  size-1 &   0 & 0 & 1 & \tiny edge & \multicolumn{4}{|c|}{Ch: 0-15} & \multicolumn{21}{|c|}{Coarse time: LSB 5ns, range 0 - 10.485775 ms} & \multicolumn{3}{|c|}{Fine} \\ \hline
  \hline
\end{tabular}
\end{document}
